commit:     6de6d4e7f00937112a6e9d1a4a8ddd08351c35b8
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Sat May 12 22:36:01 2018 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Sun May 13 01:33:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6de6d4e7

dev-python/botocore: add new version 1.10.19

Package-Manager: Portage-2.3.36, Repoman-2.3.9

 dev-python/botocore/Manifest                |  1 +
 dev-python/botocore/botocore-1.10.19.ebuild | 57 +++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ac9d5c3f391..31b40b21f16 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
+DIST botocore-1.10.19.tar.gz 4372030 BLAKE2B 
cf4782e603c3483583edc2bd0a310781a00678524b4966b504e34db24b0f177d2d63cc76a5b2f1efa2d831c8ca3bc93f6bbbb628344da944a59b784cbd2e3062
 SHA512 
450f66d182f0262ae5fe040fc45c640c13fc2b9b1e4331e3be18ebd7b52b0008cb39f7293e243b101797a84b390399c09952f82880d925ebc076672282334577
 DIST botocore-1.7.39.tar.gz 3838231 BLAKE2B 
53355a6f0fca131db8ae41ff7e0b5405dc2a4c1a0630743ec34e0fabe60468d27ea9d36b67dc3b8757c3f524eabf3fef1e55d3eb0df1f4c5bd229448f8dfc3d4
 SHA512 
0a6031315356f43e00ba5661020890478a589f0524bacd22fd24a9f8da147761f70d7b7fae9aab887301e78a392bc12dc7067174af9a07aac346d11a4cec9a22
 DIST botocore-1.8.20.tar.gz 4173990 BLAKE2B 
ce9813c77b440fdfd123593aeb9f5c47bec877981dad5089b83633deebab3bf4aed76c13ac73f571eeb8349406b3f04e6c33634a865e076ffdca266cf418b80c
 SHA512 
0b822bff75ef26c7e996e354a5c06cb50eb13d7e58f65297adcf023a81084c8b98500c08b906dcfd346e2dadcdde33d472d6d51c3e081af8667c5adcdd2deffd
 DIST botocore-1.8.41.tar.gz 4196554 BLAKE2B 
8f74b8f53fb98ea0fbadebb1739799eb30fb52748377175e0682292f4868910a5fab187c9065434e67d783eee0bb119555daa55020f1b909370749dfdf1dbc87
 SHA512 
d8bb3eb704268410646c0290fde829a3f69fc9c587b31afb43649efe345f626dc902be0ba7939239bb93871138aeb7587671dcb91ac40f4241c90b2238219d30

diff --git a/dev-python/botocore/botocore-1.10.19.ebuild 
b/dev-python/botocore/botocore-1.10.19.ebuild
new file mode 100644
index 00000000000..5771ab5e96d
--- /dev/null
+++ b/dev-python/botocore/botocore-1.10.19.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore";
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc test"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/botocore";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/jmespath[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/guzzle_sphinx_theme[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=( "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch" )
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       PYTHONPATH="${BUILD_DIR}/lib" nosetests -v tests/unit || die "unit 
tests failed under ${EPYTHON}"
+       PYTHONPATH="${BUILD_DIR}/lib" nosetests -v tests/functional || die 
"functional tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to